IMSProg_database_update(1)

NAME
IMSProg_database_update — IMSProg programmer chip database update script.

SYNOPSIS

IMSProg_database_update

DESCRIPTION

IMSProg - QT-based GUI application - I2C, MicroWire and SPI EEPROM/Flash chip programmer for CH341a devices. The IMSProm is a free I2C EEPROM programmer tool for CH341A device based on QhexEdit2 and modify SNANDer programmer.

IMSProg consists of three executable modules:

1. IMSProg - the chip programmer itself.

2. IMSProg_editor - chip database editor.

3. IMSProg_database_update - online chip database update from the external web-server.

IMSProg_database_update uses the zenity graphical Gnome utility. Once started, it copies the downloaded database to the ~/.local/imsprog folder. The script then displays the number of of chips in the database before and after the upgrade.

Homepage: https://antenna-dvb-t2.ru/IMSProg.php

GitHub: https://github.com/bigbigmdm/IMSProg

Launchpad: https://launchpad.net/~bigmdm/+archive/ubuntu/imsprog

OPTIONS
Since the program has a graphical interface, you must open the HTML manual with a web browser to use it. This can be done, for example, by using the command:

firefox /usr/share/doc/imsprog/html/index.html

AUTHOR

This manual page was written by Mikhail Medvedev. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3.

The complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-3.